import { EventEmitter } from '../../../stencil-public-runtime';
import { Root } from './types';
export declare class pnDropdownChoiceAddsRow {
    hostElement: Element;
    pnRowSelectDropdown: HTMLElement;
    tableHead: HTMLElement;
    tableBody: HTMLElement;
    private _dropdownData;
    dropdownData: string | Root[];
    languageCode: string;
    addRowDropdownName: string;
    addRowDropdownPlaceholder: string;
    addRowDropdownLabel: string;
    rowNameLabel: string;
    rowHasDropdown: boolean;
    rowDropdownLabel: string;
    rowDropdownPlaceholder: string;
    rowInputLabel: string;
    rowDeleteButtonText: string;
    totalInputLimit: number;
    minimumInputLimit: number;
    inputLimitWarning: string;
    inputEmptyWarning: string;
    inputLowError: string;
    dropdownEmptyWarning: string;
    nextRowIndex: number;
    rowSelectDropdownArr: string[];
    formValue: string;
    rowvalues: EventEmitter<string>;
    dropdownDataWatcher(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    addEventHandlers(): void;
    setInitialValues(): void;
    setRowSelectDropdownArr(): void;
    formRowEvent: (e: any) => void;
    updateHiddenFieldValue(): void;
    addRowElement(e: CustomEvent): void;
    getCurrentRow(selectedValue: string): NodeListOf<Element>;
    createDropdownColumn(selectedValue: string): HTMLDivElement;
    createInputColumn(selectedValue: string): HTMLDivElement;
    createDeleteButtonColumn(): HTMLDivElement;
    updateRowSelectDropdown(): void;
    deleteRow(e: Event): void;
    validateInputs(): boolean;
    render(): any;
}
